Bug 249199 - nfs-utils-1.0.12-4.fc7 doesn't work with kernel-2.6.22.1-27.fc7
nfs-utils-1.0.12-4.fc7 doesn't work with kernel-2.6.22.1-27.fc7
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2007-07-22 09:52 EDT by H.J. Lu
Modified: 2008-03-03 10:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 10:05:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2007-07-22 09:52:44 EDT
With kernel-2.6.22.1-27.fc7, I got

[root@lake testsuite]# /etc/init.d/nfs start
Starting NFS services:                                     [  OK  ]
Starting NFS quotas: Cannot register service: RPC: Authentication error; why =
Client credential too weak
rpc.rquotad: unable to register (RQUOTAPROG, RQUOTAVERS, udp).
                                                           [FAILED]
Starting NFS daemon:                                       [FAILED]
Starting NFS mountd: Cannot register service: RPC: Authentication error; why =
Client credential too weak
                                                           [FAILED]
[root@lake testsuite]# dmesg
...
call_verify: server localhost requires stronger authentication.
RPC: failed to contact local rpcbind server (errno 13).


I have 2 interfaces, eth0 and eth1. nfs-utils doesn't use loopback
interface and I have to put

RPCBIND_ARGS="-i"

in /etc/sysconfig/rpcbind.

bash-3.2$ man rpcbind
...
     -i      “Insecure” mode.  Allow calls to SET and UNSET from any host.
             Normally rpcbind accepts these requests only from the loopback
             interface for security reasons.  This change is necessary for
             programs that were compiled with earlier versions of the rpc
             library and do not make those requests using the loopback inter-
             face.
Comment 1 Song, Youquan 2008-03-02 21:09:00 EST
With kernel-2.6.24-2.fc9, this bug is fixed.
[root@bensley-fedora9 ~]# /etc/init.d/nfs restart
Shutting down NFS mountd:                                  [  OK  ]
Shutting down NFS daemon:                                  [  OK  ]
Shutting down NFS quotas:                                  [  OK  ]
Shutting down NFS services:                                [  OK  ]
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]


Note You need to log in before you can comment on or make changes to this bug.